# pre-commit run --all-files
repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
    -   id: check-added-large-files
    -   id: check-case-conflict
    -   id: check-executables-have-shebangs
    -   id: check-merge-conflict
    -   id: check-shebang-scripts-are-executable
    -   id: check-symlinks
    -   id: check-yaml
    -   id: debug-statements
        exclude: tests/
    -   id: destroyed-symlinks
    -   id: end-of-file-fixer
        exclude: tests/test_changes/
        files: \.(py|sh|rst|yml|yaml)$
    -   id: mixed-line-ending
    -   id: trailing-whitespace
        files: \.(py|sh|rst|yml|yaml)$
-   repo: https://github.com/psf/black
    rev: 22.10.0
    hooks:
    -   id: black
        exclude: tests/
        args: [--check]
-   repo: https://github.com/PyCQA/flake8
    rev: 6.0.0
    hooks:
    -   id: flake8
        additional_dependencies: [
            'flake8-blind-except',
            'flake8-docstrings',
            'flake8-bugbear',
            'flake8-comprehensions',
            'flake8-docstrings',
            'flake8-implicit-str-concat',
            'pydocstyle>=5.0.0',
        ]
        exclude: ^tests/test_cases/no_closing_bracket\.py$
-   repo: https://github.com/asottile/blacken-docs
    rev: v1.12.1
    hooks:
    -   id: blacken-docs
        additional_dependencies: [black==22.10.0]
        exclude: ^.github/
-   repo: https://github.com/rstcheck/rstcheck
    rev: v6.1.1
    hooks:
    -   id: rstcheck
        args: [
            --report-level=warning,
        ]
-   repo: https://github.com/codespell-project/codespell
    rev: v2.2.2
    hooks:
    -   id: codespell
        files: \.(py|sh|rst|yml|yaml)$
ci:
    # Settings for the https://pre-commit.ci/ continuous integration service
    autofix_prs: false
    # Default message is more verbose
    autoupdate_commit_msg: '[pre-commit.ci] autoupdate'
    # Default is weekly
    autoupdate_schedule: monthly
